WordPress.org

Ready to get started?Download WordPress

Forums

Striper - Stripe Integration for WooCommerce
[resolved] seems like test keys are used in live mode (5 posts)

  1. froenhoefer
    Member
    Posted 5 months ago #

    Received the following error first time trying to process real transaction:

    "Payment error:We couldn't charge this card because its Stripe token was created with an API key in test mode and now a charge is being attempted with an API key in live mode."

    Noticed there was a plugin update, so I just updated. Same issue. From documentation this error only occurs when using the the correct test keys in live mode, so I tried putting the live keys in the test mode boxes and it successfully processed.

    http://wordpress.org/plugins/striper/

  2. Sean Voss
    Member
    Plugin Author

    Posted 5 months ago #

    FreonHoefer.

    You are 100% correct, I just looked over my plugin to my dismay and saw that I indeed had.

    -                   $this->testPublishableKey = $this->settings['test_publishable_key'  ];
    -                   $this->livePublishableKey = $this->settings['test_publishable_key'  ];
    +        $this->testPublishableKey = $this->settings['test_publishable_key'  ];
    +        $this->livePublishableKey = $this->settings['live_publishable_key'  ];

    Should be fixed in v0.5. Can you test and make sure.

    Thank you so much for the feedback.

    Sean

  3. Sean Voss
    Member
    Plugin Author

    Posted 5 months ago #

    FreonHoefer,

    Have you had a chance to download v0.5+ and verify that it fixes your problem?

  4. Rass
    Member
    Posted 3 months ago #

    I am having problems with my striper plugin.
    two questions One: where do I find the error log to view what's going wrong, and Two: The Zip file I downloaded just the other day is called Striper0.22.zip In Seans comments above, He mentions a 0.5 version, One am I out of date, if so, where do i get the latest?
    My current project site is

    Thank you in advance for your interest.

  5. Sean Voss
    Member
    Plugin Author

    Posted 3 months ago #

    Hey Rass,

    My numbering system is just counting up until I reach 1.0 so 22 is greater than 5.

    Had originally planned to goto 1.0 before .10 but didn't feel ready.

    Anyway, what problems are you having, if you have access to your shell like a VPS you can find error in the php error log.

    There's a common error i'm working on a fix for that will tell you you need a card or payment token when you try to checkout, is that your issue?

Reply

You must log in to post.

About this Plugin

About this Topic